Subject: Re: Behavior of 'git add \*.txt': bug or feature?

From: Clemens Buchacher <[email-masked]>
Date: Thu, 17 Sep 2009 16:25:26 +0200

On Wed, Sep 16, 2009 at 01:30:15PM -0700, Junio C Hamano wrote:

> I strongly suspect that it comes from the fact that we have two
> definitions and three implementations of pathspec-aware tree traversal.
> One family is unaware of shell-glob wildcards (they only do leading
> directory path match) while the other know both leading directory path and
> shell-glob.

We had a discussion about this in January:

	Subject: Re: [PATCH 3/3] implement pattern matching in ce_path_match
	Message-ID: <[email-masked]>
	http://article.gmane.org/gmane.comp.version-control.git/105679

I was going to fix it, but motivation left me after the above discussion,
since I don't really care about this feature.

Clemens